summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authormonty@narttu.mysql.fi <>2003-11-04 09:40:36 +0200
committermonty@narttu.mysql.fi <>2003-11-04 09:40:36 +0200
commit4e4725377d27ff0101788fd7ed89670614ed8294 (patch)
treed387df22d5d3ffed50ecd8620f1eb18bc61ead7e /scripts
parent30af2d0f49a203ae4fb97194e899fa5e13a42c1d (diff)
parente1e82a4e00dd2cee2ff56accdd3fdbd5afeadb6a (diff)
downloadmariadb-git-4e4725377d27ff0101788fd7ed89670614ed8294.tar.gz
Merge with 4.0
Diffstat (limited to 'scripts')
-rw-r--r--scripts/mysql_install_db.sh2
-rw-r--r--scripts/mysql_secure_installation.sh10
-rw-r--r--scripts/mysqlhotcopy.sh19
3 files changed, 25 insertions, 6 deletions
diff --git a/scripts/mysql_install_db.sh b/scripts/mysql_install_db.sh
index adaac0f3102..acf0f8aa2c8 100644
--- a/scripts/mysql_install_db.sh
+++ b/scripts/mysql_install_db.sh
@@ -167,7 +167,7 @@ then
fi
fi
-if test "$ip_only" ="1"
+if test "$ip_only" = "1"
then
ip=`echo "$resolved" | awk '/ /{print $6}'`
hostname=$ip
diff --git a/scripts/mysql_secure_installation.sh b/scripts/mysql_secure_installation.sh
index d6392c57731..1c7ca34ad59 100644
--- a/scripts/mysql_secure_installation.sh
+++ b/scripts/mysql_secure_installation.sh
@@ -85,9 +85,13 @@ set_root_password() {
return 1
fi
- do_query "SET PASSWORD FOR root=PASSWORD('$password1');"
+ do_query "UPDATE mysql.user SET Password=PASSWORD('$password1') WHERE User='root';"
if [ $? -eq 0 ]; then
echo "Password updated successfully!"
+ echo "Reloading privilege tables.."
+ if ! reload_privilege_tables; then
+ exit 1
+ fi
echo
rootpass=$password1
make_config
@@ -144,11 +148,11 @@ reload_privilege_tables() {
do_query "FLUSH PRIVILEGES;"
if [ $? -eq 0 ]; then
echo " ... Success!"
+ return 0
else
echo " ... Failed!"
+ return 1
fi
-
- return 0
}
interrupt() {
diff --git a/scripts/mysqlhotcopy.sh b/scripts/mysqlhotcopy.sh
index f23955da06a..654e5466e12 100644
--- a/scripts/mysqlhotcopy.sh
+++ b/scripts/mysqlhotcopy.sh
@@ -37,7 +37,7 @@ WARNING: THIS PROGRAM IS STILL IN BETA. Comments/patches welcome.
# Documentation continued at end of file
-my $VERSION = "1.19";
+my $VERSION = "1.20";
my $opt_tmpdir = $ENV{TMPDIR} || "/tmp";
@@ -235,10 +235,15 @@ else
# --- resolve database names from regexp ---
if ( defined $opt{regexp} ) {
+ my $t_regex = '.*';
+ if ( $opt{regexp} =~ s{^/(.+)/\./(.+)/$}{$1} ) {
+ $t_regex = $2;
+ }
+
my $sth_dbs = $dbh->prepare("show databases");
$sth_dbs->execute;
while ( my ($db_name) = $sth_dbs->fetchrow_array ) {
- push @db_desc, { 'src' => $db_name } if ( $db_name =~ m/$opt{regexp}/o );
+ push @db_desc, { 'src' => $db_name, 't_regex' => $t_regex } if ( $db_name =~ m/$opt{regexp}/o );
}
}
@@ -413,6 +418,8 @@ foreach my $rdb ( @db_desc ) {
else {
mkdir($tgt_dirpath, 0750) or die "Can't create '$tgt_dirpath': $!\n"
unless -d $tgt_dirpath;
+ my @f_info= stat "$datadir/$rdb->{src}";
+ chown $f_info[4], $f_info[5], $tgt_dirpath;
}
}
}
@@ -938,6 +945,14 @@ server in a mutual replication setup.
Copy all databases with names matching the pattern
+=item --regexp /pattern1/./pattern2/
+
+Copy all tables with names matching pattern2 from all databases with
+names matching pattern1. For example, to select all tables which
+names begin with 'bar' from all databases which names end with 'foo':
+
+ mysqlhotcopy --indices --method=cp --regexp /foo$/./^bar/
+
=item db_name./pattern/
Copy only tables matching pattern. Shell metacharacters ( (, ), |, !,